Debian Bug report logs - #458338
manpages: Misplaced line in man console_codes

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: phil <spam_from_debian_bugs_4@chezphil.org>

Date: Sun, 30 Dec 2007 14:21:01 UTC

Severity: normal

Found in version manpages/2.67-1

Fixed in version manpages/2.75-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#458338; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to phil <spam_from_debian_bugs_4@chezphil.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: phil <spam_from_debian_bugs_4@chezphil.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: Misplaced line in man console_codes
Date: Sun, 30 Dec 2007 14:14:56 +0000
Package: manpages
Version: 2.67-1
Severity: normal


man console_codes says:

       LF (0x0A, ^J), VT (0x0B, ^K) and FF (0x0C, ^L) all give a linefeed;

       CR (0x0D, ^M) gives a carriage return;

       SO (0x0E, ^N) activates the G1 character set, and if LF/NL (new line mode) is set also
                     a carriage return;

This should surely be:

       LF (0x0A, ^J), VT (0x0B, ^K) and FF (0x0C, ^L) all give a linefeed, and if LF/NL
                      (new line mode) is set also a carriage return;

       CR (0x0D, ^M) gives a carriage return;

       SO (0x0E, ^N) activates the G1 character set

Looking at the source, it seems that the offending phrase "and if LF/NL (new line mode) is set 
also a carriage return" is a single line; my guess is that it has simply been misplaced.

Regards,  Phil.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.21-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#458338; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 458338@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: phil <spam_from_debian_bugs_4@chezphil.org>, 458338@bugs.debian.org
Subject: Re: Bug#458338: manpages: Misplaced line in man console_codes
Date: Tue, 1 Jan 2008 15:41:02 +0100
Hello Phil,

I agree with you, and have made the change for upstream 2.75.

Cheers,

Michael

On Dec 30, 2007 3:14 PM, phil <spam_from_debian_bugs_4@chezphil.org> wrote:
> Package: manpages
> Version: 2.67-1
> Severity: normal
>
>
> man console_codes says:
>
>        LF (0x0A, ^J), VT (0x0B, ^K) and FF (0x0C, ^L) all give a linefeed;
>
>        CR (0x0D, ^M) gives a carriage return;
>
>        SO (0x0E, ^N) activates the G1 character set, and if LF/NL (new line mode) is set also
>                      a carriage return;
>
> This should surely be:
>
>        LF (0x0A, ^J), VT (0x0B, ^K) and FF (0x0C, ^L) all give a linefeed, and if LF/NL
>                       (new line mode) is set also a carriage return;
>
>        CR (0x0D, ^M) gives a carriage return;
>
>        SO (0x0E, ^N) activates the G1 character set
>
> Looking at the source, it seems that the offending phrase "and if LF/NL (new line mode) is set
> also a carriage return" is a single line; my guess is that it has simply been misplaced.
>
> Regards,  Phil.
>
> -- System Information:
> Debian Release: 4.0
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'stable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.21-1-686
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
>
> -- no debconf information
>
>
>
>



-- 
Michael Kerrisk
Maintainer of the Linux man-pages project
http://www.kernel.org/doc/man-pages/
Want to report a man-pages bug?  Look here:
http://www.kernel.org/doc/man-pages/reporting_bugs.html




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to phil <spam_from_debian_bugs_4@chezphil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 458338-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 458338-close@bugs.debian.org
Subject: Bug#458338: fixed in manpages 2.75-1
Date: Sun, 27 Jan 2008 17:17:08 +0000
Source: manpages
Source-Version: 2.75-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.75-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.75-1_all.deb
manpages_2.75-1.diff.gz
  to pool/main/m/manpages/manpages_2.75-1.diff.gz
manpages_2.75-1.dsc
  to pool/main/m/manpages/manpages_2.75-1.dsc
manpages_2.75-1_all.deb
  to pool/main/m/manpages/manpages_2.75-1_all.deb
manpages_2.75.orig.tar.gz
  to pool/main/m/manpages/manpages_2.75.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458338@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Jan 2008 16:35:36 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.75-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 458325 458338
Changes: 
 manpages (2.75-1) unstable; urgency=low
 .
   * New upstream version
     . Relocate misplaced line in console_codes(4) (closes: Bug#458338)
     . Fix description of RTM_F_EQUALIZE in rtnetlink(7) (closes: Bug#458325)
   * Removed __clone(2), obsolete(2), undocumented(2)
   * Removed sigvec(2), sigpause(2), sigmask(2), siggetmask(2),
     sigsetmask(2), sigblock(2), obsoleted by sigvec(3)
Files: 
 e17c393dc69e3d1b59aab4dcc291521f 584 doc important manpages_2.75-1.dsc
 a90affe729b3a4995534fde4a869fb3e 1276970 doc important manpages_2.75.orig.tar.gz
 4824635ce9cd209a23ce8c9280de0757 45077 doc important manpages_2.75-1.diff.gz
 be2de3b71908ec1167b54785da733c39 550040 doc important manpages_2.75-1_all.deb
 1f948adbe4631b010f927330fa908a02 1361910 doc optional manpages-dev_2.75-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHnLp2W5ql+IAeqTIRArSgAJ9dk0hSNOy66dbOUylcOJ4NXnfEuQCdH2Gh
sAXZ6+uDjkIFc9Eyr48j/hc=
=BAyT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Feb 2008 07:30:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:24:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.